Subject: Re: [httpapi] AD review of draft-ietf-httpapi-link-template-02

From: Martin J. Dürst <[email-masked]>
Date: Wed, 17 May 2023 18:03:58 +0900

On 2023-05-15 19:09, Zaheduzzaman Sarker wrote:
> Hi all,
> 
> Thanks for the nice and small document. As a stand in AD for Francesca I have now reviewed the specification ( thanks for the patience here ). I have concluded that the document is ready to go for IETF Last call, as I don’t have any technical comments. I will start that process now.
> 
> I have two minor comments though and those can be incorporate as a part of IETF LC.
> 
> 
>    *   RFC 8288 ( it says - Link targets may need to be converted to URIs in order to express them in serialisations that do not support IRIs.) made me wonder if we should have an internationalization consideration section for this specification as well or at least refer to RFC 8288 for that matter. I would like to have other’s opinion here.

I agree that this would make sense. Either an Internationalization 
Consideration Section or more expansive text on IRIs. In the draft, 
there is only a single instance of "context IRI".

Both RFC 8288 (Web Linking) and RFC 6570 (URI Template) mention IRIs 
quite a bit. The draft combines these two RFCs, but it's not clear what 
happens with IRIs.

>    *   I think the security consideration section should at least highlight key considerations when it is referring to other security sections in other RFCs.  It might be repetitive; however, it provides value to keep the awareness alive. I will let the author decide on this.

Yes, and often some of the security considerations apply more than 
others, or in combination become more (or occasionally less) of a concern.

Regards,   Martin.

> //Zahed